CVE-2004-1516
CVSS5.0
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:55:34
NMCO    

[原文]CRLF injection vulnerability in index.php in phpWebSite 0.9.3-4 allows remote attackers to perform HTTP Response Splitting attacks to modify expected HTML content from the server via the block_username parameter in the user module.


[CNNVD]PHPWebSite用户模块HTTP响应拆分漏洞(CNNVD-200412-342)

        phpWebSite 0.9.3-4版本的index.phpCRLF存在注入漏洞。远程攻击者可以借助用户模块的block_username参数执行HTTP响应拆分攻击修改服务器预定HTML内容。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:phpwebsite:phpwebsite:0.9.3
cpe:/a:phpwebsite:phpwebsite:0.9.3.3
cpe:/a:phpwebsite:phpwebsite:0.9.3.2
cpe:/a:phpwebsite:phpwebsite:0.8.3
cpe:/a:phpwebsite:phpwebsite:0.7.3
cpe:/a:phpwebsite:phpwebsite:0.8.2
cpe:/a:phpwebsite:phpwebsite:0.9.3.4
cpe:/a:phpwebsite:phpwebsite:0.9.3.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1516
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1516
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-342
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110022027420583&w=2
(UNKNOWN)  BUGTRAQ  20041111 security hole (http response splitting) in phpwebsite
http://phpwebsite.appstate.edu/index.php?module=announce&ANN_id=863&ANN_user_op=view
(PATCH)  CONFIRM  http://phpwebsite.appstate.edu/index.php?module=announce&ANN_id=863&ANN_user_op=view
http://security.gentoo.org/glsa/glsa-200411-35.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200411-35
http://www.securityfocus.com/bid/11673
(PATCH)  BID  11673
http://xforce.iss.net/xforce/xfdb/18046
(PATCH)  XF  phpwebsite-response-splitting(18046)

- 漏洞信息

PHPWebSite用户模块HTTP响应拆分漏洞
中危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        phpWebSite 0.9.3-4版本的index.phpCRLF存在注入漏洞。远程攻击者可以借助用户模块的block_username参数执行HTTP响应拆分攻击修改服务器预定HTML内容。

- 公告与补丁

        The vendor has released a security patch dealing with this issue.
        Gentoo Linux has released advisory GLSA 200411-35:02 to address this issue. Users of affected packages are urged to execute the following commands with superuser privileges:
         emerge --sync
         emerge --ask --oneshot --verbose ">=www-apps/phpwebsite-0.9.3_p4-r2"
        Please see the referenced advisory for futher information.
        phpWebsite phpWebsite 0.9.3 -4
        
        phpWebsite phpWebsite 0.9.3 -2
        
        phpWebsite phpWebsite 0.9.3 -3
        

- 漏洞信息

11694
phpWebSite index.php HTTP Response Splitting
Remote / Network Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-11-11 Unknow
2004-11-11 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站